XMLPrinter (Mule ESB 2.2.1 API)
Keywords: org.mule.management.stats.printers.XMLPrinter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats.printers
Class XMLPrinter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.mule.management.stats.printers.AbstractTablePrinter
                  org.mule.management.stats.printers.XMLPrinter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class XMLPrinter

extends AbstractTablePrinter

`XMLPrinter` prints event processing stats as a XML document

Field Summary
`protected static int` | `XML_INDENT_SIZE` Indentation step for XML pretty-printing.

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`XMLPrinter(OutputStream out)`
`XMLPrinter(Writer out)`

Method Summary
`String[]` | `getHeaders()`
`protected int` | `getRouterInfo(RouterStatistics stats, String[] col, int index)`
`void` | `print(Collection stats)`
`void` | `println(String s, int indentLevel)`
`protected void` | `printProviderStatsXml(String stats, int indentLevel)`

Methods inherited from class org.mule.management.stats.printers.AbstractTablePrinter
`getColumn, getTable, print, print, println, println`

Methods inherited from class java.io.PrintWriter
`append, append, append, checkError, close, flush, format, format, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, setError, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_INDENT_SIZE

    protected static final int XML_INDENT_SIZE

  Indentation step for XML pretty-printing.

  See Also:
    Constant Field Values

Constructor Detail

### XMLPrinter

    public XMLPrinter(Writer out)

### XMLPrinter

    public XMLPrinter(OutputStream out)

Method Detail

### getHeaders

    public String[] getHeaders()

  Overrides:
    `getHeaders` in class `AbstractTablePrinter`

### getRouterInfo

    protected int getRouterInfo(RouterStatistics stats,
                                String[] col,
                                int index)

  Overrides:
    `getRouterInfo` in class `AbstractTablePrinter`

### print

    public void print(Collection stats)

  Overrides:
    `print` in class `AbstractTablePrinter`

### println

    public void println(String s,
                        int indentLevel)

### printProviderStatsXml

    protected void printProviderStatsXml(String stats,
                                         int indentLevel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.